%define	name	emotion
%define version 1.7.10
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 1
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 	1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment video and media library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/trunk/%name %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source: 	%name-%svn.tar.xz
%else
Source:		http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
BuildRequires:  pkgconfig
%if %svn
BuildRequires:	pkgconfig(evas) >= %{version}-0.%svn
BuildRequires:	pkgconfig(ecore) >= %{version}-0.%svn
BuildRequires:	pkgconfig(edje) >= %{version}-0.%svn
BuildRequires:	edje >= %{version}-0.%svn
BuildRequires:	pkgconfig(eio) >= %{version}-0.%svn
%else
BuildRequires:	pkgconfig(evas) >= %{version}
BuildRequires:	pkgconfig(ecore) >= %{version}
BuildRequires:	pkgconfig(edje) >= %{version}
BuildRequires:	edje >= %{version}
BuildRequires:	pkgconfig(eio) >= %{version}
%endif
BuildRequires:	libxine-devel
BuildRequires:	pkgconfig(gstreamer-interfaces-0.10) >= 0.10.34
BuildRequires:	pkgconfig(gstreamer-0.10) >= 0.10.2
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.1
BuildRequires:	pkgconfig(gstreamer-video-0.10) >= 0.10.1
BuildRequires:	pkgconfig(evas) >= 1.0.0
BuildRequires:	pkgconfig(eina) >= 1.1.99
BuildRequires:	pkgconfig(libvlc) >= 0.9

%description
Emotion is a video & media object library designed to interface with Evas and
Ecore to provide autonomous "video" and "audio" objects that can be moved,
resized and positioned like any normal object, but instead they can play video
and audio and can be controlled from a high-level control API allowing the
programmer to quickly piece together a multi-media system with minimal work.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries
Requires: %{name} >= %{version}-%{release}

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --enable-gstreamer --enable-xine --disable-vlc --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find %buildroot -name *.la | xargs rm

%files
%doc AUTHORS COPYING README
%{_bindir}/%{name}_*
%{_datadir}/%name
%{_libdir}/%name
%{_libdir}/edje/*

%files -n %libname
%{_libdir}/*.so.*

%files -n %libnamedev
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_includedir}/emotion-%major




%changelog
* Sat Feb 15 2014 trem <trem> 1.7.10-1.mga4
+ Revision: 591892
- bump version to 1.7.10

* Sat Nov 23 2013 trem <trem> 1.7.9-2.mga4
+ Revision: 552468
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 1.7.8-4.mga4
+ Revision: 463331
- update version to 1.7.8 (fix changelog from previous commit)
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 1.7.7-3.mga4
+ Revision: 444992
- add more br

* Wed Jun 19 2013 fwang <fwang> 1.7.7-2.mga4
+ Revision: 444970
- br eio

* Wed Jun 19 2013 fwang <fwang> 1.7.7-1.mga4
+ Revision: 444958
- new version 1.7.7

* Tue May 07 2013 trem <trem> 1.7.5-2.mga3
+ Revision: 412570
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-1.mga3
+ Revision: 339281
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-1.mga3
+ Revision: 333863
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-1.mga3
+ Revision: 327938
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-1.mga3
+ Revision: 321325
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-1.mga3
+ Revision: 320200
- update to release 1.7.1

* Sat Sep 08 2012 trem <trem> 1.7.0-1.mga3
+ Revision: 290156
- update to release 1.7.0

* Sat Jun 09 2012 trem <trem> 1.0.1-1.mga3
+ Revision: 258954
- update to 1.0.1
- update to 1.0.0 (stable release)

* Sun Mar 11 2012 trem <trem> 0.2.0-2.r69188.1.mga2
+ Revision: 222687
- update to release 69188

* Sat Mar 10 2012 trem <trem> 0.2.0-2.r69165.1.mga2
+ Revision: 222421
- update to release 69165

* Sun Mar 04 2012 trem <trem> 0.2.0-2.r68658.1.mga2
+ Revision: 217998
- update to release 68658

* Sat Mar 03 2012 trem <trem> 0.2.0-2.r68649.1.mga2
+ Revision: 217548
- update to release 68649

* Sun Feb 26 2012 trem <trem> 0.2.0-2.r68450.1.mga2
+ Revision: 215215
- update to release 68450

* Sat Feb 25 2012 trem <trem> 0.2.0-2.r68434.1.mga2
+ Revision: 214427
- update to release 68434

* Fri Feb 24 2012 trem <trem> 0.2.0-2.r68363.1.mga2
+ Revision: 213972
- update to release 68363

* Wed Feb 22 2012 trem <trem> 0.2.0-2.r68228.1.mga2
+ Revision: 212079
- update to release 68228

* Sun Feb 19 2012 trem <trem> 0.2.0-2.r68120.1.mga2
+ Revision: 210795
- update to release 68120

* Sat Feb 18 2012 trem <trem> 0.2.0-2.r68102.1.mga2
+ Revision: 210243
- update to release 68102

* Sat Feb 11 2012 trem <trem> 0.2.0-2.r67851.1.mga2
+ Revision: 207546
- update to release 67851

* Sat Feb 11 2012 trem <trem> 0.2.0-2.r67846.1.mga2
+ Revision: 207259
- update to release 67846

* Fri Feb 10 2012 trem <trem> 0.2.0-2.r67830.1.mga2
+ Revision: 206968
- update to release 67830

* Tue Feb 07 2012 trem <trem> 0.2.0-2.r67715.1.mga2
+ Revision: 206003
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Sun Dec 04 2011 trem <trem> 0.2.0-2.r65867.1.mga2
+ Revision: 176103
- update to release 65867

* Tue Nov 29 2011 trem <trem> 0.2.0-2.r65688.1.mga2
+ Revision: 174249
- update to release 65688

* Sun Nov 27 2011 trem <trem> 0.2.0-2.r65613.1.mga2
+ Revision: 172972
- update to release 65613

* Sun Nov 20 2011 trem <trem> 0.2.0-2.r65428.1.mga2
+ Revision: 169738
- update to release 65428

* Sat Nov 19 2011 trem <trem> 0.2.0-2.r65369.1.mga2
+ Revision: 169098
- update to release r65369
- update to release 65341

* Wed Nov 16 2011 trem <trem> 0.2.0-2.r65269.1.mga2
+ Revision: 168209
- update to release 65269

* Sun Nov 13 2011 trem <trem> 0.2.0-2.r65129.1.mga2
+ Revision: 167171
- update to release 65129

* Fri Nov 11 2011 trem <trem> 0.2.0-2.r65056.1.mga2
+ Revision: 166596
- update to release 65056

* Sat Nov 05 2011 trem <trem> 0.2.0-2.r64753.1.mga2
+ Revision: 163336
- update to release 64753

* Tue Nov 01 2011 trem <trem> 0.2.0-2.r64603.1.mga2
+ Revision: 160822
- update to release 64603

* Mon Oct 31 2011 trem <trem> 0.2.0-2.r64579.1.mga2
+ Revision: 160609
- update to release 64579

* Sun Oct 30 2011 trem <trem> 0.2.0-2.r64519.1.mga2
+ Revision: 160067
- update to release 64519

* Sat Oct 29 2011 trem <trem> 0.2.0-2.r64511.1.mga2
+ Revision: 159824
- update to r64511

* Fri Oct 28 2011 trem <trem> 0.2.0-2.r64501.1.mga2
+ Revision: 159297
- update to r64501

* Wed Oct 26 2011 trem <trem> 0.2.0-2.r64414.1.mga2
+ Revision: 158395
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 0.2.0-2.r64328.1.mga2
+ Revision: 157796
- use svn release (instead of stable release)
- spec cleaning

* Mon Sep 26 2011 trem <trem> 0.2.0-1.20101010.2.mga2
+ Revision: 148955
- drop la files

* Tue Apr 19 2011 ennael <ennael> 0.2.0-1.20101010.1.mga1
+ Revision: 88218
- clean spec file
- imported package emotion

